/*--------------------------------------------------------------*/
#include <AT89X52.H>
#include "LCD5510_V3.H"

unsigned char code *str1 = {"Nokia 5510 Test, Haha ^_^ I am so glad to see you agian! Do you think so?"};
unsigned char code *str2 = {"I Love You AVR"};


/*--------------------------------------------------------------*/
//ʱ50000+0us 
void delay50ms(void)
{
    unsigned char i,j,k;
    for(i=165;i>0;i--)
    for(j=60;j>0;j--)
    for(k=1;k>0;k--);
}

//ʱ200000+0us 
void delay200ms(void)
{
    unsigned char i,j,k;
    for(i=201;i>0;i--)
    for(j=32;j>0;j--)
    for(k=14;k>0;k--);
}


//ʱ1000000+1us 
void delay1s(void)
{
    unsigned char i,j,k;
    for(i=167;i>0;i--)
    for(j=171;j>0;j--)
    for(k=16;k>0;k--);
}


/*--------------------------------------------------------------*/
//
void main(void)
{
	unsigned char i, j, k;
	unsigned char LCD_contrast = 0xc8;	//ֵԱȶȺ

	LCD5510_Init();

	LCD_prints(0, 3, ">>>Welcome<<<");
	delay1s();	delay1s();
 
	LCD_showshs(0, 0, "ܸ");
	delay1s();
	LCD_showshs(0, 1, "ּ濩");
	delay1s();
	LCD_showshs(0, 2, "");
	delay1s();
	LCD_showshs(1, 3, "");
	delay1s();
	
	LCD_clr_scr();		//
	LCD_showshs(2, 0, "");
	delay1s();
	LCD_showshs(0, 1, "");
	delay1s();
	LCD_showshs(0, 2, "ּ濩");
	delay1s();
	LCD_showshs(0, 3, "ܸ");
	delay1s();

	while(*str1)
	{
		LCD_prints(0, 0, str1++); 
		delay200ms(); i++;
		LCD_clr_row(0);
	}
	str1 -= i;
	LCD_clr_scr();		//
	LCD_printsl(0, 0, str1);
	delay1s();
	
	LCD_clr_scr();		//
	delay1s();
	LCD_picture(pic);
	delay1s();	delay1s(); 
	
	LCD_clr_scr();		//
	delay1s();
	LCD_pos_picture(0, 0, 72, 14, pic1);	
	delay1s();	
	LCD_pos_picture(0, 2, 72, 28, pic2);
	delay1s(); delay1s();
	LCD_clr_scr();		//
	LCD_showsh(0, 0, "ġ");
	delay1s();
	LCD_showsh(0, 1, "");
	delay1s();
	LCD_showsh(0, 2, "֮ġ");
	delay1s(); delay1s();
	
	
	
	LCD_clr_scr();		//
	for(i = 0; i < 14; i++) {LCD_printc(i, 2, str2[i]); delay200ms();}
	LCD_printn(2, 3, 13140, 5);
	delay1s();
	LCD_prints(0, 4, ">--(*^_^*)--<");
	delay1s();


	LCD_prints(0, 0, "Blank Test ");
	delay1s();
	LCD_show_blank;		//հײ
	delay1s();
	LCD_prints(0, 0, "Normal Test");
	LCD_show_normal;	//ָ
	delay1s();
	LCD_prints(0, 0, "Black Test ");
	delay1s();
	LCD_show_black;		//ȫڼ⻵
	delay1s();
	LCD_show_normal;	//ָ
	delay1s();
	LCD_prints(0, 0, "Inverse Test");
	LCD_show_inverse;	//ɫ
	delay1s();
	LCD_prints(0, 0, "Normal again");
	LCD_show_normal;	//ָ
	delay1s();
	LCD_clr_scr();		//
	delay1s();
	
	
	i = 0; j = 0; k =0;
	LCD_prints(0, 5, "ASCII Code:"); 
	while(k++ < 100)	//ASCIIַ
	{ 
		LCD_printc(i, j, k + 32); 
		delay50ms(); 
		i++; if(i == 14) {i = 0; j++;}
		if(j == 5) j = 0;
		LCD_printn(11, 5, k + 32, 3); 		
	}
	delay1s();
	
	
	LCD_clr_scr();			//
	LCD_prints(2, 0, "Nokia 5510");
	LCD_prints(2, 2, "Alexi2008");
	LCD_prints(0, 4, "LCD_Contrast:");
	while(1)				//Աȶ
	{
		for(i = 0; i < 10; i++) 
		{
			LCD_contrast++; 
			LCD_write_cmd(0x21);//ģʽ, ˮƽѰַ, չָ
			LCD_write_cmd(LCD_contrast);
			LCD_write_cmd(0x20);//ģʽ, ˮƽѰַ, ָ
			LCD_printc(13, 4, 129);
			LCD_printn(5, 5, LCD_contrast, 3); 
			delay200ms();
		}
		for(i = 0; i < 20; i++) 
		{
			LCD_contrast--; 
			LCD_write_cmd(0x21);//ģʽ, ˮƽѰַ, չָ
			LCD_write_cmd(LCD_contrast);
			LCD_write_cmd(0x20);//ģʽ, ˮƽѰַ, ָ 
			LCD_printc(13, 4, 130);
			LCD_printn(5, 5, LCD_contrast, 3); 
			delay200ms();
		}
		for(i = 0; i < 10; i++) 
		{
			LCD_contrast++; 
			LCD_write_cmd(0x21);//ģʽ, ˮƽѰַ, չָ
			LCD_write_cmd(LCD_contrast);
			LCD_write_cmd(0x20);//ģʽ, ˮƽѰַ, ָ
			LCD_printc(13, 4, 129);
			LCD_printn(5, 5, LCD_contrast, 3); 
			delay200ms();
		}
	}
}

